package apirequest

import (
	"context"
	"github.com/zeromicro/go-zero/core/logx"
	"tianyuan-api/apps/mqs/internal/svc"
)

type Log struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewLog(ctx context.Context, svcCtx *svc.ServiceContext) *Log {
	return &Log{
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *Log) Consume(ctx context.Context, key, val string) error {
	logx.Infof("log key :%s , val :%s", key, val)
	return nil
}
